# Generated from rubyrep-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rubyrep
%global rubyabi 1.9.1

Summary: Asynchronous, master-master replication of relational databases
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.2.0
Release: 6%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
Source0: %{gem_name}-%{version}-5.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
Requires: %{?scl_prefix}rubygem(activesupport) >= 3.0.5
Requires: %{?scl_prefix}rubygem(activerecord) >= 3.0.5
BuildRequires: %{?scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description



%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

# If this is /usr/bin/ruby, then it autorequires ruby 1.8.7, which we do not want.
sed -i 's@/usr/bin/ruby@/usr/bin/env ruby@' %{buildroot}%{gem_instdir}/bin/rubyrep

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/rubyrep
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.*
%{gem_instdir}/rubyrep
%exclude %{gem_instdir}/rubyrep.bat
%{gem_instdir}/script
%{gem_instdir}/setup.rb


%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/License.txt
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/config
%{gem_instdir}/sims
%{gem_instdir}/spec
%{gem_instdir}/tasks
%{gem_instdir}/website

%changelog
* Thu Aug 14 2014 Brandon Dunne <bdunne@redhat.com> - 1.2.0-6
- Use a source file named by the tag release to avoid RPM diff conflicts

* Wed Aug 13 2014 Brandon Dunne <bdunne@redhat.com> - 1.2.0-5
- Rebase to gem built from code at https://github.com/ManageIQ/rubyrep/tree/v1.2.0-5
  (build the gem using 'rake package')

* Thu Aug 22 2013 John Eckersberg <jeckersb@redhat.com> - 1.2.0-4
- Rebase to gem built from code at https://github.com/ManageIQ/rubyrep/tree/v1.2.0-4
  (Fixes https://bugzilla.redhat.com/show_bug.cgi?id=990229)

* Tue May 21 2013 John Eckersberg <jeckersb@redhat.com> - 1.2.0-3
- Use /usr/bin/env instead of /usr/bin/ruby in shebang to avoid pulling in ruby 1.8.7

* Mon Apr 29 2013 Steve Linabery <slinaber@redhat.com> - 1.2.0-2
- Rebase to gem built from code at https://github.com/ManageIQ/rubyrep/tree/v1.2.0-2

* Fri Mar 01 2013 John Eckersberg <jeckersb@redhat.com> - 1.2.0-1
- Initial package
